from collective.voltoeditortemplates import PACKAGE_NAME

import pytest


class TestSetupUninstall:
    @pytest.fixture(autouse=True)
    def uninstalled(self, installer):
        installer.uninstall_product(PACKAGE_NAME)

    def test_addon_uninstalled(self, installer):
        """Test if collective.voltoeditortemplates is uninstalled."""
        assert installer.is_product_installed(PACKAGE_NAME) is False

    def test_browserlayer_not_registered(self, browser_layers):
        """Test that IBrowserLayer is not registered."""
        from collective.voltoeditortemplates.interfaces import (
            IVoltoEditorTemplatesLayer,
        )

        assert IVoltoEditorTemplatesLayer not in browser_layers
